# Uses of Interface
org.opensaml.saml.saml1.core.AttributeDesignator

Packages that use AttributeDesignator
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AttributeDesignator in org.opensaml.saml.saml1.core

Subinterfaces of AttributeDesignator in org.opensaml.saml.saml1.core
Modifier and Type
Interface
Description
`interface`
`Attribute`
This interface defines how the object representing a SAML 1 `Attribute` element behaves.
Methods in org.opensaml.saml.saml1.core that return types with arguments of type AttributeDesignator
Modifier and Type
Method
Description
`List<AttributeDesignator>`
AttributeQuery.`getAttributeDesignators()`
Get list of AttributeDesignators.

## Uses of AttributeDesignator in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AttributeDesignator
Modifier and Type
Class
Description
`class`
`AttributeDesignatorImpl`
Concrete Implementation of the `AttributeDesignator` interface.
`class`
`AttributeImpl`
A Concrete implementation of the `Attribute` Interface.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type AttributeDesignator
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AttributeDesignator>`
AttributeQueryImpl.`attributeDesignators`
Contains all the child AttributeDesignators.
Methods in org.opensaml.saml.saml1.core.impl that return AttributeDesignator
Modifier and Type
Method
Description
`AttributeDesignator`
AttributeDesignatorBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeDesignator`
AttributeDesignatorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type AttributeDesignator
Modifier and Type
Method
Description
`List<AttributeDesignator>`
AttributeQueryImpl.`getAttributeDesignators()`
Get list of AttributeDesignators.